DRM_FB_HELPER_FILL_V(9)

NAME
drm_fb_helper_fill_var - initalizes variable fbdev information

SYNOPSIS

void drm_fb_helper_fill_var(struct fb_info * info, struct drm_fb_helper * fb_helper, uint32_t fb_width, uint32_t fb_height);

ARGUMENTS

info
    fbdev instance to set up

fb_helper
    fb helper instance to use as template

fb_width
    desired fb width

fb_height
    desired fb height

DESCRIPTION

Sets up the variable fbdev metainformation from the given fb helper instance and the drm framebuffer allocated in fb_helper->fb.

Drivers should call this (or their equivalent setup code) from their ->fb_probe callback after having allocated the fbdev backing storage framebuffer.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT